Package org.bukkit.event.player

# Enum Class PlayerResourcePackStatusEvent.Status

java.lang.Object
java.lang.Enum<PlayerResourcePackStatusEvent.Status>
org.bukkit.event.player.PlayerResourcePackStatusEvent.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerResourcePackStatusEvent.Status>`, `Constable`

Enclosing class:
  PlayerResourcePackStatusEvent

public static enum PlayerResourcePackStatusEvent.Status extends Enum<PlayerResourcePackStatusEvent.Status>
Status of the resource pack.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPTED`
The client accepted the pack and is beginning a download of it.
`DECLINED`
The client refused to accept the resource pack.
`FAILED_DOWNLOAD`
The client accepted the pack, but download failed.
`SUCCESSFULLY_LOADED`
The resource pack has been successfully downloaded and applied to the client.

## Method Summary

Modifier and Type
Method
Description
`static PlayerResourcePackStatusEvent.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerResourcePackStatusEvent.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESSFULLY_LOADED

public static final PlayerResourcePackStatusEvent.Status SUCCESSFULLY_LOADED
The resource pack has been successfully downloaded and applied to the client.

### DECLINED

public static final PlayerResourcePackStatusEvent.Status DECLINED
The client refused to accept the resource pack.

### FAILED_DOWNLOAD

public static final PlayerResourcePackStatusEvent.Status FAILED_DOWNLOAD
The client accepted the pack, but download failed.

### ACCEPTED

public static final PlayerResourcePackStatusEvent.Status ACCEPTED
The client accepted the pack and is beginning a download of it.

## Method Details

### values

public static PlayerResourcePackStatusEvent.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerResourcePackStatusEvent.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null